# Установка

Скачать файлы и перейти в директорию c *manage.py*. Далее нужно создать виртуальную среду:

**Unix**

```unix
python3 -m venv venv
```

В случае отсутствия библиотеки `venv`, ее можно установить следующим способом:

```unix
sudo apt install -y python3-venv
```

**Windows**

```windows
python -m venv venv
```

<br>

Созданную виртуальную среду необходимо активировать:

**Unix**

```unix
source venv/bin/activate
```

**Windows**

```windows
venv/Scripts/activate
```

<br>

Скачиваем и устанавливаем все библиотеки из файла *requirements.txt*:

```unix/windows
pip install -r requirements.txt
```

<br>

В *config/settings.py* в словаре `DATABASES` вписываем нужные данные или создаем базу данных sqlite3 по инструкции в самом файле.

<br>

Чтобы запустить сервер:

```windows
python manage.py runserver 8000
```

Если порт не указывать, по умолчанию будет применен 8000. Если указанный порт занят, увеличьте на 1 пока сервер не запустится. В терминале будет указана ссылка на сайт.